//
//  ViewController.m
//  XLsn0wSlideSelector
//
//  Created by XLsn0w on 2017/1/13.
//  Copyright © 2017年 XLsn0w. All rights reserved.
//
/*! 当前设备屏幕 宽/高 */
#define kScreenWidth  [UIScreen mainScreen].bounds.size.width
#define kScreenHeight [UIScreen mainScreen].bounds.size.height

#import "ViewController.h"
#import "XLsn0wSlideSelector.h"

@interface ViewController () <XLsn0wSlideSelectorDelegate>

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self addXLsn0wSlideSelector];
}

- (void)addXLsn0wSlideSelector {
    XLsn0wSlideSelector *slideSelector = [[XLsn0wSlideSelector alloc]initWithFrame:CGRectMake(0, kScreenWidth/2, kScreenWidth, kScreenWidth/2)];
    [self.view addSubview:slideSelector];
    slideSelector.xlsn0wDelegate = self;
}

- (void)slideSelector:(XLsn0wSlideSelector *)slideSelector selectedIndex:(NSInteger)selectedIndex {
    NSLog(@"selectedIndex= %ld", (long)selectedIndex);
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
